<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huiju.estateagents.center.taUser.mapper.TpLifeConsultantEvaluateMapper">

    <select id="getPageBy" resultType="com.huiju.estateagents.center.taUser.entity.TpLifeConsultantEvaluate">
        SELECT t.*, s.nickname as person_name
        FROM
            tp_life_consultant_evaluate t
        LEFT JOIN ta_person s ON t.person_id = s.person_id
        WHERE
            t.org_id = #{orgId}
            AND t.user_id = #{userId}
            AND t.evaluate_time = #{evaluateTime}
        ORDER BY t.create_date DESC
    </select>
</mapper>
